/**
 * UI_0022 部件模型
 *
 * @export
 * @class UI_0022Model
 */
export default class UI_0022Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof UI_0022Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibz5sample0003id',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibz5sample0003name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'field01',
        prop: 'field01',
        dataType: 'TEXT',
      },
      {
        name: 'ibz5sample0003id',
        prop: 'ibz5sample0003id',
        dataType: 'GUID',
      },
      {
        name: 'ibz5sample0003',
        prop: 'ibz5sample0003id',
        dataType: 'FONTKEY',
      },
    ]
  }

}